package com.eactive.eai.rms.bap.manage.comm.property;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("bapTelePropertyDao")
@SuppressWarnings({"deprecation","unchecked"})
public class BapTelePropertyDao extends SqlMapClientTemplateDao {

	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BapTeleProperty.selectListCount", param);
    }	

	public List<Map<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BapTeleProperty.selectList", param);
    }	
	public List<Map<String, Object>> selectPropertyGroupList(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BapTeleProperty.selectPropertyGroupList", param);
    }
	public HashMap<String, Object> propertyGroupDetail(HashMap<String, Object> param) throws Exception {
    	return (HashMap<String, Object>)template.queryForObject("BapTeleProperty.propertyGroupDetail", param);
    }	

	public List<Map<String, Object>> propertyDetail(HashMap<String, Object> param) throws Exception {
    	return (List<Map<String, Object>>)template.queryForList("BapTeleProperty.propertyDetail", param);
    }	

    public void insert(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BapTeleProperty.insert", paramMap);
    }      

    public void insertProperty(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BapTeleProperty.insertProperty", paramMap);
    }      
    
    public void update(HashMap<String, Object> paramMap) throws Exception{
        this.template.update("BapTeleProperty.update", paramMap);
    }

    public void delete(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BapTeleProperty.delete", paramMap);
    }

    public void deleteProperty(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BapTeleProperty.deleteProperty", paramMap);
    }
}